# -*- coding: utf-8 -*-
"""
Copyright (c) 2016 Biuro Urządzania Lasu i Geodezji Leśnej

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
OTHER DEALINGS IN THE SOFTWARE.
"""

#Marcin Śliwa
import os
import Mapa_PU
from PyQt5.QtGui import * 
from PyQt5.QtCore import * 

from PyQt5 import QtWidgets, uic
from Mapa_PU.kontroler import komunikaty

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'etykietuj_obiekty_podstawowe.ui'))

class EtykietujObiektyPodstawoweDialog(QtWidgets.QDialog,FORM_CLASS):
    def __init__(self,parent=None):
        """Konstruktor"""
        super(EtykietujObiektyPodstawoweDialog,self).__init__(parent)
        self.setupUi(self)
        #self.setWindowFlags( Qt.Dialog | Qt.WindowTitleHint )
        self.setWindowFlags( Qt.Dialog)
        self.setWindowIcon(QIcon('%s\\ikony\\Logo_BULiGL.ico' % Mapa_PU.upul_modul.root))
     
    def ustawModel(self,model):
        """Ustawia model do widoku tabeli"""
        self.model=model
        self.tableView.setModel(model)
        self.selectionModel=self.tableView.selectionModel()
        
        
    def ustawWysokoscWiersza(self,n,wysokosc):
        """Ustawia wysokośc wiersza"""
        for row in range(n):
                self.tableView.setRowHeight(row, wysokosc)
                
    def modelWidoku(self):
        """zwraca model"""
        return self.selectionModel
    
    def ustawSelekcje(self,selekcja,wyborObiektu):
        """ustawia selekcję
        :param selekcja:metoda selekcji
        :param wyborObiektu: metoda wyboru
        """
        try:
            self.selectionModel.selectionChanged.connect(selekcja)
            self.tableView.clicked.connect(wyborObiektu)
            #QtCore.QObject.connect(self.selectionModel, SIGNAL("selectionChanged(QItemSelection, QItemSelection)"), selekcja)
            #QtCore.QObject.connect(self.tableView, SIGNAL("clicked( QModelIndex)"),wyborObiektu)
            
        except Exception as e:
            komunikaty.blad_systemowy(e)
    
       
    def zaznaczonyWiersz(self):
        """zaznaczony wiersz"""
        return self.selectionModel.selection().indexes()
       
    def closeEvent(self, evnt):
        """Zdarzenie zamknięcia nadpisane""" 
        self.zamknij()
        
    
    def zamknij(self):
        """zamykanie panelu"""
        pass
        
    
    def resizeEvent(self, event):
        """zmiana rozmiaru"""
        self.tableView.resizeColumnsToContents() 
      
            
            
       